android 编译错误 com/android/dx/command/dexer/Main : Unsupported major.minor version 52.0

发布时间:2017-1-19 12:34:37 编辑:www.fx114.net 分享查询网我要评论
本篇文章主要介绍了"android 编译错误 com/android/dx/command/dexer/Main : Unsupported major.minor version 52.0 ",主要涉及到android 编译错误 com/android/dx/command/dexer/Main : Unsupported major.minor version 52.0 方面的内容,对于android 编译错误 com/android/dx/command/dexer/Main : Unsupported major.minor version 52.0 感兴趣的同学可以参考一下。

解决方案一:

JDK版本不一致造成的,指的是高版本的JDK编译的class不能放在低版本的JDK上运行。

如果是Version 52,就表示JDK8编译的class不能运行在JDK7上,所以需要在本地安装JDK8. 
如果是Version 51,就表示JDK7编译的class不能运行在JDK6上,所以需要在本地安装JDK7.

 

不同的JDK版本使用的 major.minor version(主次版本号) 不同,所以会导致这个错误。
JavaSE 8 = 52 (0x34 hex),
JavaSE 7 = 51 (0x33 hex),
JavaSE 6 = 50 (0x32 hex),
JavaSE 5 = 49 (0x31 hex),
J2SE 1.4 = 48 (0x30 hex),
J2SE 1.3 = 47 (0x2F hex),
J2SE 1.2 = 46 (0x2E hex),
J2SE 1.1 = 45 (0x2D hex)

解决方案二
选择项目,右键 Properties-->JAVA Compiler-中的Compiler compliance level从1.8改成1.7 (改为本机对应的JDK

解决方案三
eclipse指定jdk1.8版本。

-vm
E:\java\jdk1.8\jdk1.8.0_20\bin\javaw.exe

上一篇:java利用透明的图片轮廓抠图
下一篇:Hadoop HBase概念学习系列之HBase里的时间戳(二十六)

相关文章

相关评论